aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2011-07-01 19:54:16 +0200
committerHarald Welte <laforge@gnumonks.org>2011-07-01 19:54:16 +0200
commitcc6bf663e770c5788167fb5dc5d325b609975956 (patch)
tree7c50119bad673f88fced625b671e562615051d01 /contrib
parentb10e9781d68e3f16ea08f216784152bc2e340448 (diff)
add init script for screen-based respawn
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/sysmobts.init31
1 files changed, 31 insertions, 0 deletions
diff --git a/contrib/sysmobts.init b/contrib/sysmobts.init
new file mode 100755
index 00000000..081a9d64
--- /dev/null
+++ b/contrib/sysmobts.init
@@ -0,0 +1,31 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: sysmobts
+# Required-Start:
+# Required-Stop: $local_fs
+# Default-Start: 5
+# Default-Stop: 0 6
+# Short-Description: Start screen session with sysmobts software
+# Description:
+### END INIT INFO
+
+. /etc/default/rcS
+
+case "$1" in
+ start)
+ /usr/bin/screen -c /etc/osmocom/screenrc-sysmobts
+ ;;
+ stop)
+ echo "This script doesn't support stop"
+ exit 1
+ ;;
+ restart|reload|force-reload)
+ exit 0
+ ;;
+ show)
+ ;;
+ *)
+ echo "Usage: sysmobts {start|stop|show|reload|restart}" >&2
+ exit 1
+ ;;
+esac